#ifndef __MACHINE_SMPASM_H__
#define __MACHINE_SMPASM_H__ 1

#include <machine/apic.h>

#ifdef SMP 

/* Macro to retrieve the current CPU id from hardware */
#define GETCPUID(reg)	\
	movl _apic_base, reg; \
	movl APIC_ID(reg), reg; \
	andl $APIC_ID_MASK, reg; \
	shrl $24, reg 

#define SETCURPROC(val, reg)	GETCPUID(reg); movl val, _SMPcurproc(,reg,4)
#define GETCURPROC(reg)		GETCPUID(reg); movl _SMPcurproc(,reg,4), reg
#define SETCURPCB(val, reg)	GETCPUID(reg); movl val, _SMPcurpcb(,reg,4)
#define GETCURPCB(reg)		GETCPUID(reg); movl _SMPcurpcb(,reg,4), reg
#define SETNPXPROC(val, reg)	GETCPUID(reg); movl val, _SMPnpxproc(,reg,4)
#define GETNPXPROC(reg)		GETCPUID(reg); movl _SMPnpxproc(,reg,4), reg

#else /* !SMP */

#define SETCURPROC(val, reg)	movl val, _curproc
#define GETCURPROC(reg)		movl _curproc, reg
#define SETCURPCB(val, reg)	movl val, _curpcb
#define GETCURPCB(reg)		movl _curpcb, reg
#define SETNPXPROC(val, reg)	movl val, _npxproc
#define GETNPXPROC(reg)		movl _npxproc, reg

#endif /* SMP */

#endif /* __MACHINE_SMPASM_H__ */
